
<?php

return array(
	'label' => array(
		'Boxen drehend mit Bild',
		'Erzeugt nebeneinander dargestellte Boxen mit Bild die umgedreht werden sobald man die Maus darüber bewegt.',
	),
	'types' => array('content'),
	'standardFields' => array('cssID', 'headline', 'columns'),
	'fields' => array(
		'size' => array(
			'label' => array('Bildbreite und Bildhöhe', ''),
			'inputType' => 'imageSize',
			'options' => $GLOBALS['TL_CROP'],
			'reference' => &$GLOBALS['TL_LANG']['MSC'],
			'eval' => array('rgxp' => 'digit'),
		),

		'boxes' => array(
			'label' => array('Boxen', ''),
			'elementLabel' => 'Box %s',
			'inputType' => 'list',
			'fields' => array(
				'image' => array(
					'label' => array('Bild', 'Standardmäßig angezeigtes Bild.'),
					'inputType' => 'fileTree',
					'eval' => array(
						'fieldType' => 'radio',
						'filesOnly' => true,
						'extensions' => \Config::get('validImageTypes'),
					),
				),
				'headline' => array(
					'label' => array('Überschrift', ''),
					'inputType' => 'text',
					'eval' => array('tl_class' => 'long'),
				),
				'text' => array(
					'label' => array('Text', ''),
					'inputType' => 'textarea',
					'eval' => array('tl_class' => 'rsce_small_textarea'),
				),
				'url' => array(
					'label' => array('Button-URL', 'Beispiele: {{link_url::seitenalias}} (Alias, ID oder anderer Inserttag), http://example.com'),
					'inputType' => 'url',
					'eval' => array('tl_class' => 'w50'),
				),
				'linkLabel' => array(
					'label' => array('Button-Bezeichnung', ''),
					'inputType' => 'text',
					'eval' => array('tl_class' => 'w50'),
				),
				'newWindow' => array(
					'label' => $GLOBALS['TL_LANG']['MSC']['target'],
					'inputType' => 'checkbox',
					'eval' => array('tl_class' => 'clr'),
				),
			),
		),
	),
);
